#include <stdio.h>

#include <lq.h>

int main (void)
{
	int	dummy0;
	int	ret;
	lq	O;


	ret = lq_init();
	if (ret == -1) {
		printf ("Cannot init lq [%s]\n",
			lq_strerror ());
		return 1;
	}

	dummy0 = lq_getif ("dummy0");
	if (dummy0 == -1) {
		printf ("Error geting info about dummy [%s]!\n",
			lq_strerror ());
		return 1;
	}

	O.type = LQ_qdisc;
	lq_set (&O);

	O.ifindex = dummy0;

	ret = lq_do (LQ_del, &O);
	if (ret == -1) {
		printf ("Error deleting root from dummy0 [%s]:\n%s\n",
			lq_strerror (), lq_dump (&O));
		return 1;
	}

	return 0;
}
