#include <string.h>

#include <lq_com.h>

/* Functions */
/* set specific defaults */
int lq_f_set(lq *O)
{
	int	ret = 0;
 
	switch (O->subtype) {
		case LQ_f_fw:
		break;
	}

	return ret;
}

char *lq_f_dump (lq *O)
{
	static char	ret [1024];
	char		tmp [128];

	strcpy (ret, "");
	snprintf (ret, sizeof (ret), "\tprio %d protocol 0x%x classid (hexa) %x:%x\n",
		O->data.f.prio,
		O->data.f.protocol,
		O->data.f.classid >> 16,
		O->data.f.classid & 0xffff);
	strcat (ret, tmp);

	switch (O->subtype) {
		case LQ_f_u32:
			break;

		case LQ_f_fw:
			break;

		case LQ_f_route:
			break;

		case LQ_f_tcindex:
			break;

		default:
			snprintf (ret, sizeof (ret), "unknown subtype %d", O->subtype);
	}

	return ret;
}
